Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class ClientDataMapArtifact

    java.lang.Object
      org.apache.cayenne.gen.DataMapArtifact
          org.apache.cayenne.gen.ClientDataMapArtifact

All Implemented Interfaces:
  Artifact

    public class ClientDataMapArtifact

extends DataMapArtifact

Field Summary

Fields inherited from class org.apache.cayenne.gen.DataMapArtifact
`dataMap, DATAMAP_UTILS_KEY, procedureQueries, selectQueries, sqlTemplateQueries`

Fields inherited from interface org.apache.cayenne.gen.Artifact
`BASE_CLASS_KEY, BASE_PACKAGE_KEY, IMPORT_UTILS_KEY, OBJECT_KEY, STRING_UTILS_KEY, SUB_CLASS_KEY, SUB_PACKAGE_KEY, SUPER_CLASS_KEY, SUPER_PACKAGE_KEY`

Constructor Summary
`ClientDataMapArtifact(DataMap dataMap, Collection<Query> queries)`

Method Summary
`String` | `getQualifiedBaseClassName()`
`String` | `getQualifiedClassName()`

Methods inherited from class org.apache.cayenne.gen.DataMapArtifact
`getObject, getSelectQueries, getTemplateTypes, hasQueries, postInitContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDataMapArtifact

    public ClientDataMapArtifact(DataMap dataMap,
                                 Collection<Query> queries)

Method Detail

### getQualifiedBaseClassName

    public String getQualifiedBaseClassName()

  Specified by:
    `getQualifiedBaseClassName` in interface `Artifact`
  Overrides:
    `getQualifiedBaseClassName` in class `DataMapArtifact`

### getQualifiedClassName

    public String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `Artifact`
  Overrides:
    `getQualifiedClassName` in class `DataMapArtifact`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.